.bg-gradient-dark, .btn-gradient-dark {
  color : #FFFFFF;
  -webkit-transition : all 0.2s ease;
          transition : all 0.2s ease;
  background-image : -webkit-linear-gradient(137deg, #4B4B4B, #1E1E1E);
  background-image :         linear-gradient(-47deg, #4B4B4B, #1E1E1E);
  background-repeat : repeat;
}

.dark-layout .bg-gradient-dark, .dark-layout
.btn-gradient-dark {
  background-image : -webkit-linear-gradient(137deg, #1E1E1E, #4B4B4B);
  background-image :         linear-gradient(-47deg, #1E1E1E, #4B4B4B);
  background-repeat : repeat;
}

.bg-gradient-dark:hover, .bg-gradient-dark:active, .btn-gradient-dark:hover, .btn-gradient-dark:active {
  color : #FFFFFF;
}

.bg-gradient-dark:hover:not(.disabled):not(:disabled), .btn-gradient-dark:hover:not(.disabled):not(:disabled) {
  -webkit-transform : translateY(-2px);
      -ms-transform : translateY(-2px);
          transform : translateY(-2px);
}

.bg-gradient-dark:active, .btn-gradient-dark:active {
  -webkit-transform : translateY(0);
      -ms-transform : translateY(0);
          transform : translateY(0);
}

.bg-gradient-dark:active, .bg-gradient-dark:focus, .btn-gradient-dark:active, .btn-gradient-dark:focus {
  background-image : -webkit-linear-gradient(137deg, #1E1E1E, #4B4B4B);
  background-image :         linear-gradient(-47deg, #1E1E1E, #4B4B4B);
  background-repeat : repeat;
}

.bg-gradient-primary, .btn-gradient-primary {
  color : #FFFFFF;
  -webkit-transition : all 0.2s ease;
          transition : all 0.2s ease;
  background-image : -webkit-linear-gradient(137deg, #009cff, #9E95F5);
  background-image :         linear-gradient(-47deg, #009cff, #9E95F5);
  background-repeat : repeat;
}

.bg-gradient-primary:hover, .bg-gradient-primary:active, .btn-gradient-primary:hover, .btn-gradient-primary:active {
  color : #FFFFFF;
}

.bg-gradient-primary:hover:not(.disabled):not(:disabled), .btn-gradient-primary:hover:not(.disabled):not(:disabled) {
  -webkit-transform : translateY(-2px);
      -ms-transform : translateY(-2px);
          transform : translateY(-2px);
}

.bg-gradient-primary:active, .btn-gradient-primary:active {
  -webkit-transform : translateY(0);
      -ms-transform : translateY(0);
          transform : translateY(0);
}

.bg-gradient-primary:active, .bg-gradient-primary:focus, .btn-gradient-primary:active, .btn-gradient-primary:focus {
  background-image : -webkit-linear-gradient(137deg, #4839EB, #009cff);
  background-image :         linear-gradient(-47deg, #4839EB, #009cff);
  background-repeat : repeat;
}

.bg-gradient-secondary, .btn-gradient-secondary {
  color : #FFFFFF;
  -webkit-transition : all 0.2s ease;
          transition : all 0.2s ease;
  background-image : -webkit-linear-gradient(137deg, #82868B, #9CA0A4);
  background-image :         linear-gradient(-47deg, #82868B, #9CA0A4);
  background-repeat : repeat;
}

.bg-gradient-secondary:hover, .bg-gradient-secondary:active, .btn-gradient-secondary:hover, .btn-gradient-secondary:active {
  color : #FFFFFF;
}

.bg-gradient-secondary:hover:not(.disabled):not(:disabled), .btn-gradient-secondary:hover:not(.disabled):not(:disabled) {
  -webkit-transform : translateY(-2px);
      -ms-transform : translateY(-2px);
          transform : translateY(-2px);
}

.bg-gradient-secondary:active, .btn-gradient-secondary:active {
  -webkit-transform : translateY(0);
      -ms-transform : translateY(0);
          transform : translateY(0);
}

.bg-gradient-secondary:active, .bg-gradient-secondary:focus, .btn-gradient-secondary:active, .btn-gradient-secondary:focus {
  background-image : -webkit-linear-gradient(137deg, #696D71, #82868B);
  background-image :         linear-gradient(-47deg, #696D71, #82868B);
  background-repeat : repeat;
}

.bg-gradient-success, .btn-gradient-success {
  color : #FFFFFF;
  -webkit-transition : all 0.2s ease;
          transition : all 0.2s ease;
  background-image : -webkit-linear-gradient(137deg, #28C76F, #48DA89);
  background-image :         linear-gradient(-47deg, #28C76F, #48DA89);
  background-repeat : repeat;
}

.bg-gradient-success:hover, .bg-gradient-success:active, .btn-gradient-success:hover, .btn-gradient-success:active {
  color : #FFFFFF;
}

.bg-gradient-success:hover:not(.disabled):not(:disabled), .btn-gradient-success:hover:not(.disabled):not(:disabled) {
  -webkit-transform : translateY(-2px);
      -ms-transform : translateY(-2px);
          transform : translateY(-2px);
}

.bg-gradient-success:active, .btn-gradient-success:active {
  -webkit-transform : translateY(0);
      -ms-transform : translateY(0);
          transform : translateY(0);
}

.bg-gradient-success:active, .bg-gradient-success:focus, .btn-gradient-success:active, .btn-gradient-success:focus {
  background-image : -webkit-linear-gradient(137deg, #1F9D57, #28C76F);
  background-image :         linear-gradient(-47deg, #1F9D57, #28C76F);
  background-repeat : repeat;
}

.bg-gradient-info, .btn-gradient-info {
  color : #FFFFFF;
  -webkit-transition : all 0.2s ease;
          transition : all 0.2s ease;
  background-image : -webkit-linear-gradient(137deg, #00CFE8, #1CE7FF);
  background-image :         linear-gradient(-47deg, #00CFE8, #1CE7FF);
  background-repeat : repeat;
}

.bg-gradient-info:hover, .bg-gradient-info:active, .btn-gradient-info:hover, .btn-gradient-info:active {
  color : #FFFFFF;
}

.bg-gradient-info:hover:not(.disabled):not(:disabled), .btn-gradient-info:hover:not(.disabled):not(:disabled) {
  -webkit-transform : translateY(-2px);
      -ms-transform : translateY(-2px);
          transform : translateY(-2px);
}

.bg-gradient-info:active, .btn-gradient-info:active {
  -webkit-transform : translateY(0);
      -ms-transform : translateY(0);
          transform : translateY(0);
}

.bg-gradient-info:active, .bg-gradient-info:focus, .btn-gradient-info:active, .btn-gradient-info:focus {
  background-image : -webkit-linear-gradient(137deg, #00A1B5, #00CFE8);
  background-image :         linear-gradient(-47deg, #00A1B5, #00CFE8);
  background-repeat : repeat;
}

.bg-gradient-warning, .btn-gradient-warning {
  color : #FFFFFF;
  -webkit-transition : all 0.2s ease;
          transition : all 0.2s ease;
  background-image : -webkit-linear-gradient(137deg, #FF9F43, #FFB976);
  background-image :         linear-gradient(-47deg, #FF9F43, #FFB976);
  background-repeat : repeat;
}

.bg-gradient-warning:hover, .bg-gradient-warning:active, .btn-gradient-warning:hover, .btn-gradient-warning:active {
  color : #FFFFFF;
}

.bg-gradient-warning:hover:not(.disabled):not(:disabled), .btn-gradient-warning:hover:not(.disabled):not(:disabled) {
  -webkit-transform : translateY(-2px);
      -ms-transform : translateY(-2px);
          transform : translateY(-2px);
}

.bg-gradient-warning:active, .btn-gradient-warning:active {
  -webkit-transform : translateY(0);
      -ms-transform : translateY(0);
          transform : translateY(0);
}

.bg-gradient-warning:active, .bg-gradient-warning:focus, .btn-gradient-warning:active, .btn-gradient-warning:focus {
  background-image : -webkit-linear-gradient(137deg, #FF8510, #FF9F43);
  background-image :         linear-gradient(-47deg, #FF8510, #FF9F43);
  background-repeat : repeat;
}

.bg-gradient-danger, .btn-gradient-danger {
  color : #FFFFFF;
  -webkit-transition : all 0.2s ease;
          transition : all 0.2s ease;
  background-image : -webkit-linear-gradient(137deg, #EA5455, #F08182);
  background-image :         linear-gradient(-47deg, #EA5455, #F08182);
  background-repeat : repeat;
}

.bg-gradient-danger:hover, .bg-gradient-danger:active, .btn-gradient-danger:hover, .btn-gradient-danger:active {
  color : #FFFFFF;
}

.bg-gradient-danger:hover:not(.disabled):not(:disabled), .btn-gradient-danger:hover:not(.disabled):not(:disabled) {
  -webkit-transform : translateY(-2px);
      -ms-transform : translateY(-2px);
          transform : translateY(-2px);
}

.bg-gradient-danger:active, .btn-gradient-danger:active {
  -webkit-transform : translateY(0);
      -ms-transform : translateY(0);
          transform : translateY(0);
}

.bg-gradient-danger:active, .bg-gradient-danger:focus, .btn-gradient-danger:active, .btn-gradient-danger:focus {
  background-image : -webkit-linear-gradient(137deg, #E42728, #EA5455);
  background-image :         linear-gradient(-47deg, #E42728, #EA5455);
  background-repeat : repeat;
}